﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup Label="Globals">
    <SccProjectName>SAK</SccProjectName>
    <SccProvider>SAK</SccProvider>
    <SccAuxPath>SAK</SccAuxPath>
    <SccLocalPath>SAK</SccLocalPath>
  </PropertyGroup>
  <PropertyGroup>
      <TargetFrameworks>netstandard2.0;net6.0;net8.0</TargetFrameworks>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    <RootNamespace>Tecan.Sila2</RootNamespace>
    <AssemblyName>Tecan.Sila2.Contracts</AssemblyName>
    <LangVersion>latest</LangVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <OutputPath>..\Build\</OutputPath>
    <DocumentationFile>..\Build\Tecan.Sila2.Contracts.xml</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>..\Build\</OutputPath>
    <DocumentationFile>..\Build\Tecan.Sila2.Contracts.xml</DocumentationFile>
  </PropertyGroup>
  <ItemGroup>
    <Compile Include="..\CommonAssemblyInfo.cs" Link="Properties\CommonAssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="System.Threading.Channels" Version="4.7.0" />
  </ItemGroup>
</Project>